package com.aucma.report.domain;

import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 箱体流转追溯报表
 *
 * @author Yinq
 * @date 2024-03-15
 */
public class BoxTurnoverTraceabilityReport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 产线编号
     */
    @Excel(name = "产线编号")
    @JsonProperty("PRODUCT_LINE_CODE")
    private String PRODUCT_LINE_CODE;

    /**
     * 产线名称
     */
    @Excel(name = "产线名称")
    @JsonProperty("PRODUCT_LINE_NAME")
    private String PRODUCT_LINE_NAME;

    /**
     * SAP订单编号
     */
    @Excel(name = "SAP订单编号")
    @JsonProperty("ORDER_CODE")
    private String ORDER_CODE;

    /**
     * 销售订单编号
     */
    @Excel(name = "销售订单编号")
    @JsonProperty("SALEORDER_CODE")
    private String SALEORDER_CODE;

    /**
     * 销售订单行号
     */
    @Excel(name = "销售订单行号")
    @JsonProperty("SALEORDER_LINENUMBER")
    private String SALEORDER_LINENUMBER;

    /**
     * 物料编号
     */
    @Excel(name = "物料编号")
    @JsonProperty("MATERIAL_CODE")
    private String MATERIAL_CODE;

    /**
     * 物料名称
     */
    @Excel(name = "物料名称")
    @JsonProperty("MATERIAL_NAME")
    private String MATERIAL_NAME;

    /**
     * 成品条码
     */
    @Excel(name = "成品条码")
    @JsonProperty("PRODUCT_SNCODE")
    private String PRODUCT_SNCODE;

    /**
     * MES条码
     */
    @Excel(name = "MES条码")
    @JsonProperty("BOX_CODE")
    private String BOX_CODE;

    /**
     * 内胆码
     */
    @Excel(name = "内胆码")
    @JsonProperty("LINER_CODE")
    private String LINER_CODE;

    /**
     * MES码打印时间
     */
    @Excel(name = "MES码打印时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonProperty("PRINT_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String PRINT_TIME;

    public String getLINER_CODE() {
        return LINER_CODE;
    }

    public void setLINER_CODE(String LINER_CODE) {
        this.LINER_CODE = LINER_CODE;
    }

    public String getPRODUCT_LINE_CODE() {
        return PRODUCT_LINE_CODE;
    }

    public void setPRODUCT_LINE_CODE(String PRODUCT_LINE_CODE) {
        this.PRODUCT_LINE_CODE = PRODUCT_LINE_CODE;
    }

    public String getPRODUCT_LINE_NAME() {
        return PRODUCT_LINE_NAME;
    }

    public void setPRODUCT_LINE_NAME(String PRODUCT_LINE_NAME) {
        this.PRODUCT_LINE_NAME = PRODUCT_LINE_NAME;
    }

    public String getORDER_CODE() {
        return ORDER_CODE;
    }

    public void setORDER_CODE(String ORDER_CODE) {
        this.ORDER_CODE = ORDER_CODE;
    }

    public String getSALEORDER_CODE() {
        return SALEORDER_CODE;
    }

    public void setSALEORDER_CODE(String SALEORDER_CODE) {
        this.SALEORDER_CODE = SALEORDER_CODE;
    }

    public String getSALEORDER_LINENUMBER() {
        return SALEORDER_LINENUMBER;
    }

    public void setSALEORDER_LINENUMBER(String SALEORDER_LINENUMBER) {
        this.SALEORDER_LINENUMBER = SALEORDER_LINENUMBER;
    }

    public String getMATERIAL_CODE() {
        return MATERIAL_CODE;
    }

    public void setMATERIAL_CODE(String MATERIAL_CODE) {
        this.MATERIAL_CODE = MATERIAL_CODE;
    }

    public String getMATERIAL_NAME() {
        return MATERIAL_NAME;
    }

    public void setMATERIAL_NAME(String MATERIAL_NAME) {
        this.MATERIAL_NAME = MATERIAL_NAME;
    }

    public String getPRODUCT_SNCODE() {
        return PRODUCT_SNCODE;
    }

    public void setPRODUCT_SNCODE(String PRODUCT_SNCODE) {
        this.PRODUCT_SNCODE = PRODUCT_SNCODE;
    }

    public String getBOX_CODE() {
        return BOX_CODE;
    }

    public void setBOX_CODE(String BOX_CODE) {
        this.BOX_CODE = BOX_CODE;
    }


    public String getPRINT_TIME() {
        return PRINT_TIME;
    }

    public void setPRINT_TIME(String PRINT_TIME) {
        this.PRINT_TIME = PRINT_TIME;
    }

    @Override
    public String toString() {
        return "ProductTraceabilityReport{" +
                "PRODUCT_LINE_CODE='" + PRODUCT_LINE_CODE + '\'' +
                ", PRODUCT_LINE_NAME='" + PRODUCT_LINE_NAME + '\'' +
                ", ORDER_CODE='" + ORDER_CODE + '\'' +
                ", SALEORDER_CODE='" + SALEORDER_CODE + '\'' +
                ", SALEORDER_LINENUMBER='" + SALEORDER_LINENUMBER + '\'' +
                ", MATERIAL_CODE='" + MATERIAL_CODE + '\'' +
                ", MATERIAL_NAME='" + MATERIAL_NAME + '\'' +
                ", PRODUCT_SNCODE='" + PRODUCT_SNCODE + '\'' +
                ", BOX_CODE='" + BOX_CODE + '\'' +
                '}';
    }
}
